/*=============================================================================
vitalnix/C-spark - User Management UI
global.h - Global header file
  Copyright (C) Jan Engelhardt <jengelh [at] linux01 gwdg de>, 2002 - 2003
  -- License restrictions apply (Dual FAL/GPL2).
  -- For details see doc/FAL.txt and doc/GPL2.txt.
=============================================================================*/
#ifndef _CSPARK_GLOBAL_H
#define _CSPARK_GLOBAL_H 1

#ifdef __cplusplus
extern "C" {
#endif

#define MAXFNLEN 1024 /* max length for filename buffer */
#define MAXLNLEN 1024 /* max length for line buffer */

typedef unsigned char byte;

enum {
    P_ERR = 1 << 15,
};

//-----------------------------------------------------------------------------
struct optmap_s {
    char *progv, *progd,      // program version, date
     *f_lock, *f_skeld,       // path to lockfile and skeleton dir (if any)
     *p_pager, *pa_pager;     // path and args to favorite pager
    byte b_split; // split home
};

//-----------------------------------------------------------------------------

// data.c
extern char *fixup_login_name(char *, unsigned int, char *, size_t);
extern char *make_login_name(char *, char *);
extern int only_digits(char *);

// main.c
extern struct optmap_s Optmap;

// user.c
extern int db_open(void);
extern void db_close(void);
extern void apply_ds(void);

#ifdef __cplusplus
} // extern "C"
#endif

#endif /* _CSPARK_GLOBAL_H */

//==[ End of file ]============================================================
